Page MenuHomePhabricator

[flang] Adopt NoRegionArguments (WhereOp) and ParentOneOf (ResultOp) traits
ClosedPublic

Authored by jurahul on Jul 9 2020, 5:01 PM.

Diff Detail

Event Timeline

jurahul created this revision.Jul 9 2020, 5:01 PM

Ping. Not sure if flang is accepting such changes, if not please let me know and I will abandon this.

mehdi_amini accepted this revision.Jul 14 2020, 8:33 PM

Nice cleanup! Thanks.

This revision is now accepted and ready to land.Jul 14 2020, 8:33 PM

Ping. Not sure if flang is accepting such changes, if not please let me know and I will abandon this.

Cleanup is welcome. Thanks for doing this.

We would like llvm-project not to diverge from the working development branch. Can you submit these changes here as well? https://github.com/flang-compiler/f18-llvm-project/tree/fir-dev It'll help make sure the branches stay in sync and changes don't get lost.

Thanks in advance.

sscalpone accepted this revision.Jul 15 2020, 7:30 AM

Ping. Not sure if flang is accepting such changes, if not please let me know and I will abandon this.

Cleanup is welcome. Thanks for doing this.

We would like llvm-project not to diverge from the working development branch. Can you submit these changes here as well? https://github.com/flang-compiler/f18-llvm-project/tree/fir-dev It'll help make sure the branches stay in sync and changes don't get lost.

This quite an unusual request /setup. I am not sure I understand this “working development branch”, but in general I’d expect any downstream fork of LLVM to be maintained by the fork owner.

Holding off on pushing till the dev branch issue is clarified. Please let me know if Mehdi'd understanding is correct. How do you plan to manage API breaking changes in MLIR that may not be in this dev branch?

Hi @jurahul, there's certainly no objection for you to commit this change in llvm-project, especially if the change is required to keep llvm building properly.

The story behind Eric's request is that the majority of the development in flang/.../Optimizer is happening in the fir-dev branch. That branch is being upstreamed to llvm-project as it is reviewed and approved. The request to commit the change to fir-dev is simply to make the rebase easier. It's solely up to you.

Thanks. I have created a pull request as well here: https://github.com/flang-compiler/f18-llvm-project/pull/275.

jurahul updated this revision to Diff 278475.Jul 16 2020, 7:36 AM

Fix build failure

schweitz accepted this revision.Jul 16 2020, 8:32 AM

Fix build failure

Thanks for your fix and getting this upstreamed for test in fir-dev. It is greatly appreciated.

This revision was automatically updated to reflect the committed changes.